corda / net.corda.core.node / ServiceEntry

# ServiceEntry

`data class ServiceEntry`

Information for an advertised service including the service specific identity information. The identity can be used in flows and is distinct from the Node's legalIdentity

### Constructors

<init> | `ServiceEntry(info: ServiceInfo, identity: Party)` Information for an advertised service including the service specific identity information. The identity can be used in flows and is distinct from the Node's legalIdentity

### Properties

identity | `val identity: Party`
info | `val info: ServiceInfo`